%define oname	OpenLP

Summary:	Open source Church presentation and lyrics projection application
Name:		openlp
Version:	3.0.2
Release:	%mkrel 1
License:	GPLv2
Group:		Publishing
URL:		https://openlp.org/
Source0:	https://get.openlp.org/%{version}/%{oname}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:	desktop-file-utils
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	qt5-devel
BuildRequires:	qttools5
BuildRequires:	python3-pillow
BuildRequires:	python3-qt5
BuildRequires:	python3-mako
BuildRequires:	python3-appdirs
BuildRequires:	python3-sqlalchemy
BuildRequires:	python3-alembic
BuildRequires:	python3-lxml
BuildRequires:	python3-flask
BuildRequires:	python3-pymediainfo
BuildRequires:	python3-vlc
BuildRequires:	python3-waitress
BuildRequires:	python3-webob
BuildRequires:	python3-websockets
BuildRequires:	python3-zeroconf
BuildRequires:	python3-qrcode
BuildRequires:	python3-qtawesome
BuildRequires:	python3-pillow-qt
BuildRequires:	python3-pysword
BuildRequires:	python3-beautifulsoup4
BuildRequires:	python3-qt5-webenginewidgets
BuildRequires:	python3-flask-cors
BuildRequires:	python3-qdarkstyle
BuildRequires:	python3-chardet
BuildRequires:	python3-requests
BuildRequires:	python3-enchant
BuildRequires:	python3-distro
BuildRequires:	python3-pytest-runner
Requires:	vlc
Requires:	python3-qt5
Requires:	phonon4qt5-backend
Requires:	hicolor-icon-theme
Requires:	libreoffice-graphicfilter
Requires:	libreoffice-impress
Requires:	libreoffice-headless
Requires:	ghostscript
Recommends:	python3-qdarkstyle
Recommends:	python3-pysword

%description
openlp is a church presentation software, for lyrics projection software,
used to display slides of Songs, Bible verses, videos, images, and
presentations via LibreOffice using a computer and projector.


%prep
%setup -q -c -n %{oname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openlp

install -m644 -p -D resources/images/openlp-logo-16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/openlp.png
install -m644 -p -D resources/images/openlp-logo-32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/openlp.png
install -m644 -p -D resources/images/openlp-logo-48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/openlp.png
install -m644 -p -D resources/images/openlp-logo.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/openlp.svg

desktop-file-install --dir %{buildroot}/%{_datadir}/applications resources/openlp.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/openlp.desktop

mkdir -p %{buildroot}%{_datadir}/openlp/i18n/
for TSFILE in resources/i18n/*.ts; do
    lrelease $TSFILE -qm %{buildroot}%{_datadir}/openlp/i18n/`basename $TSFILE .ts`.qm;
done
mkdir -p %{buildroot}%{_datadir}/mime/packages
cp -p resources/openlp.xml %{buildroot}%{_datadir}/mime/packages
install -m644 documentation/%{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1

%files -f %{pyproject_files}
%doc copyright.txt
%{_bindir}/openlp
%{_datadir}/mime/packages/openlp.xml
%{_datadir}/applications/openlp.desktop
%{_datadir}/icons/hicolor/*/apps/openlp.*
%{_datadir}/openlp
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Mar 20 2023 papoteur <papoteur> 3.0.2-1.mga9
+ Revision: 1949834
- new 3.0.5
- remove qtwebkit requirement

* Fri Sep 23 2022 solbu <solbu> 2.9.5-1.mga9
+ Revision: 1891840
- Fix dependencies
- Fix build requires
- New release: 2.9.5

* Mon Apr 04 2022 umeabot <umeabot> 2.4.6-12.mga9
+ Revision: 1842995
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 2.4.6-11.mga9
+ Revision: 1786359
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 2.4.6-10.mga9
+ Revision: 1733569
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 2.4.6-9.mga9
+ Revision: 1732370
- Rebuild for python 3.9

* Sun Mar 15 2020 daviddavid <daviddavid> 2.4.6-8.mga8
+ Revision: 1556468
- fix dependencies

* Sun Feb 16 2020 umeabot <umeabot> 2.4.6-7.mga8
+ Revision: 1533707
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 daviddavid <daviddavid> 2.4.6-6.mga8
+ Revision: 1445294
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 2.4.6-5.mga7
+ Revision: 1355113
- rebuild for new Python 3.7
- fix dependencies

* Thu Sep 20 2018 umeabot <umeabot> 2.4.6-4.mga7
+ Revision: 1281327
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.4.6-3.mga7
+ Revision: 1135283
- Rebuild for python 3.6

* Sun Apr 02 2017 solbu <solbu> 2.4.6-2.mga6
+ Revision: 1095705
- New version: 2.4.6

* Sun Mar 05 2017 solbu <solbu> 2.4.5-2.mga6
+ Revision: 1088774
- Fix missing Requires

* Sat Mar 04 2017 solbu <solbu> 2.4.5-1.mga6
+ Revision: 1088718
- New version

* Tue Feb 02 2016 umeabot <umeabot> 2.0.5-5.mga6
+ Revision: 931295
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.5-4.mga5
+ Revision: 749669
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.5-3.mga5
+ Revision: 727524
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.5-2.mga5
+ Revision: 683223
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 solbu <solbu> 2.0.5-1.mga5
+ Revision: 641459
- Fix URL
- New version
- New version
+ pterjan <pterjan>
- Rebuild for new Python

* Wed Dec 18 2013 solbu <solbu> 2.0.3-1.mga4
+ Revision: 558576
- New version

* Tue Oct 22 2013 umeabot <umeabot> 2.0.1-4.mga4
+ Revision: 542881
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.1-3.mga4
+ Revision: 497967
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 362048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 solbu <solbu> 2.0.1-1.mga3
+ Revision: 340676
- New version

* Sun Dec 02 2012 solbu <solbu> 2.0-1.mga3
+ Revision: 325130
- Fix Requires
- New version

* Sun Oct 21 2012 solbu <solbu> 1.9.12-3.mga3
+ Revision: 308638
- Fix BuildRequire

* Tue Oct 09 2012 solbu <solbu> 1.9.12-2.mga3
+ Revision: 303767
- Use correct phonon Requires

* Mon Sep 24 2012 solbu <solbu> 1.9.12-1.mga3
+ Revision: 296990
- Fix BuildRequires
- Fix Requires
- Spec cleanup
- New version
- Import Fedora package


* Sat Jul 28 2012 Tim Bentley <timbentley@openlp.org> - 1.9.11-1
- Relaese 1.9.11 build

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 23 2012 Tim Bentley <timbentley@openlp.org> - 1.9.10-2
- Import Issues

* Sat Jun 23 2012 Tim Bentley <timbentley@openlp.org> - 1.9.10-1
- Release 1.9.10 build

* Sun Mar 25 2012 Tim Bentley <timbentley@openlp.org> - 1.9.9-1
- Release 1.9.9 build

* Fri Dec 23 2011 Tim Bentley <timbentley@openlp.org> - 1.9.8-1
- Release 1.9.8 build

* Sat Sep 24 2011 Tim Bentley <timbentley@openlp.org> - 1.9.7
- Weekly build

* Sat Jun 25 2011 Tim Bentley <timbentley@openlp.org> - 1.9.6-1
- Release build for beta 2

* Sat Jun 11 2011 Tim Bentley <timbentley@openlp.org> - 1.9.5-5
- Update Build Script

* Tue May 24 2011 Tim Bentley <timbentley@openlp.org> - 1.9.5-4
- Fix Typing error

* Mon May 23 2011 Tim Bentley <timbentley@openlp.org> - 1.9.5-3
- Fix dependancy

* Mon May 23 2011 Tim Bentley <timbentley@openlp.org> - 1.9.5-2
- Fix LibreOffice addition for presentations

* Fri Mar 25 2011 Tim Bentley <timbentley@openlp.org> - 1.9.5-1
- Beta 1 release build

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 8 2011 Tim Bentley <timbentley@openlp.org> - 1.9.4-1
- Alpha 4 release build

* Sat Sep 25 2010 Tim Bentley <timbentley@openlp.org> - 1.9.3-1
- Alpha 3 release build

* Mon Aug 30 2010 Tim Bentley <timbentley@openlp.org> - 1.9.2.1-4
- Update to build 1000

* Sat Aug 28 2010 Tim Bentley <timbentley@openlp.org> - 1.9.2.1-3
- Update to 996 and test build on git

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.9.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jun 26 2010 Tim Bentley <timbentley@openlp.org> 1.9.2.1
- Fix bug with build versions

* Sat Jun 26 2010 Tim Bentley <timbentley@openlp.org> 1.9.2
- New Release - Alpha 2 Release

* Sun Mar 28 2010 Tim Bentley <timbentley@openlp.org> 1.9.1.1
- Initial build version - Alpha 1 Release
